Skip to main content

Overview

Teams are organizational units within an organization that help organize users, interviews, candidates, and other resources. You can create teams, list teams, get team details, and update team branding settings.

Create Teams

Create one or more teams in bulk. Optionally add users to teams during creation. Endpoint: POST /qsi/gather/teams

List Teams

Retrieve a list of teams in your organization. Optionally filter by userId to get only teams that a specific user belongs to. Endpoint: GET /qsi/gather/teams
string
Filter teams to only those the user belongs to

Get Team

Retrieve a single team by its ID. The team must belong to your organization. Endpoint: GET /qsi/gather/teams/{teamId}
string
required
UUID of the team

Update Team Branding

Update branding settings for a team including colors, logo, background image, and display name. Endpoint: PATCH /qsi/gather/teams/{teamId}/branding
string
required
UUID of the team

Branding Colors

Team branding colors should be provided as hex codes without the # prefix:
  • "482eeb" (correct)
  • "#482eeb" (incorrect)

Users

Learn about creating and managing users

Interviews

Create interviews for your teams